Summary: A secure replacement for inetd.
Name: xinetd
Version: 2.1.8.9pre14
Release: 6
License: Distributable (BSD-like)
Group: System Environment/Daemons
Source: http://synack.net/xinetd/xinetd-%{version}.tar.bz2
Source1: xinetd.init
Source2: xinetd.conf
Source3: xinetd-inetdconvert
Source4: xinetd-ttime
Source5: xinetd-utime
Source6: xinetd-tdtime
Source7: xinetd-udtime
Source8: xinetd-echo
Source9: xinetd-uecho
Source10: xinetd-chargen
Source11: xinetd-uchargen
Patch0: xinetd-2.1.8.9pre10-skipjunkfiles.patch
Patch1: xinetd-2.1.8.9pre14-efault.patch
Provides: inetd
Prereq: /sbin/chkconfig /etc/init.d /sbin/service
BuildRequires: tcp_wrappers
Requires: filesystem >= 2.0.1, initscripts >= 5.54, setup, fileutils
URL: http://synack.net/xinetd/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: inetd, netkit-base

%description
Xinetd is a secure replacement for inetd, the Internet services
daemon.  Xinetd provides access control for all services based on the
address of the remote host and/or on time of access and can prevent
denial-of-access attacks. Xinetd provides extensive logging, has no
limit on the number of server arguments and you can bind specific
services to specific IP addresses on your host machine. It also enables
information of a service to be in a separate file

%prep
%setup -q 
%patch0 -p1
%patch1 -p1

%build
autoconf
%configure --with-libwrap
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
%makeinstall DAEMONDIR=$RPM_BUILD_ROOT/usr/sbin MANDIR=$RPM_BUILD_ROOT/%{_mandir}
mkdir -p $RPM_BUILD_ROOT/etc/xinetd.d/
install -m 755 %SOURCE1 $RPM_BUILD_ROOT/etc/rc.d/init.d/xinetd
install -m 644 %SOURCE2 $RPM_BUILD_ROOT/etc/xinetd.conf
install -m 644 %SOURCE3 $RPM_BUILD_ROOT/usr/sbin/inetdconvert
install -m 644 %SOURCE4 $RPM_BUILD_ROOT/etc/xinetd.d/time
install -m 644 %SOURCE5 $RPM_BUILD_ROOT/etc/xinetd.d/time-udp
install -m 644 %SOURCE6 $RPM_BUILD_ROOT/etc/xinetd.d/daytime
install -m 644 %SOURCE7 $RPM_BUILD_ROOT/etc/xinetd.d/daytime-udp
install -m 644 %SOURCE8 $RPM_BUILD_ROOT/etc/xinetd.d/echo
install -m 644 %SOURCE9 $RPM_BUILD_ROOT/etc/xinetd.d/echo-udp
install -m 644 %SOURCE10 $RPM_BUILD_ROOT/etc/xinetd.d/chargen
install -m 644 %SOURCE11 $RPM_BUILD_ROOT/etc/xinetd.d/chargen-udp

rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/itox*
rm -f $RPM_BUILD_ROOT/usr/sbin/itox
rm -f $RPM_BUILD_ROOT/usr/sbin/xconv.pl

%clean
rm -rf $RPM_BUILD_ROOT

%post
chmod +x /usr/sbin/inetdconvert
if [ $1 = 1 ]; then
    /sbin/chkconfig --add xinetd 
fi

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del xinetd 
fi

%postun
if [ $1 -ge 1 ]; then
    /sbin/service xinetd condrestart >/dev/null 2>&1
fi


%files
%defattr(-,root,root)
%doc INSTALL xinetd/CHANGELOG xinetd/COPYRIGHT README xinetd/sample.conf 

%config /etc/xinetd.conf
/usr/sbin/xinetd
%verify(not mode)	/usr/sbin/inetdconvert
%{_mandir}/*/*
%config /etc/rc.d/init.d/xinetd
%config(noreplace) /etc/xinetd.d/*

%changelog
* Tue Feb 27 2001 Preston Brown <pbrown@redhat.com>
- noreplace the xinetd.d files

* Mon Feb  5 2001 Preston Brown <pbrown@redhat.com>
- built against newer tcp_wrappers that fixes name resolution problem (#16949)

* Mon Feb  5 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Patch from nalin@redhat.com for terminating the environment variables properly

* Tue Jan 30 2001 Trond Eivind Glomsrd <teg@redhat.com>
- remove PID from log_on_failure flags (#22687)

* Tue Jan 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- improve gettextization
- add "UNLISTED" to the internal udp services (#24279)

* Thu Jan 18 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 2.1.8.9pre14

* Wed Jan 17 2001 Trond Eivind Glomsrd <teg@redhat.com>
- gettextize

* Sat Dec 30 2000 Jeff Johnson <jbj@redhat.com>
- remove python dependency.

* Tue Dec 26 2000 Trond Eivind Glomsrd <teg@redhat.com>
- remove RECORD from xinetd.conf for security reasons
  (no known holes, but better safe than sorry #22687)

* Mon Dec 04 2000 Trond Eivind Glomsrd <teg@redhat.com>
- unset a couple of environment variables(HOME,MAIL) in the initscript.
  This should avoid problems like bug #21663

* Fri Dec 01 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Tue Nov 14 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 2.1.8.9pre13, which should fix #19355
- changes to initscript - set all locale environment variables
  to en_US, as the server doesn't know what locale the client
  expects  and error messages can otherwise be confusing 
  (partially #20566)

* Thu Nov 09 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fix mismatch in documentation vs. reality, introduced
  when we changed the behaviour of the access control
  to use server names (#20567)

* Tue Oct 31 2000 Trond Eivind Glomsrd <teg@redhat.com>
- obsolete netkit-base, which was inetd's home until 6.2 
  
* Thu Oct 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 2.1.8.9pre12, which has a new "-stayalive" option so 
  xinetd stays alive even if no services are enabled.
- use the above in the initscript (#18819)

* Tue Oct 17 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 2.1.8.9pre11, which includes the previous bugfixes.
- don't convert the internal services, include 
  such files with xinetd (#17331, #18899)

* Mon Oct 09 2000 Trond Eivind Glomsrd <teg@redhat.com>
- Add patch to fix segfault problem (#18686)

* Fri Oct 06 2000 Trond Eivind Glomsrd <teg@redhat.com>
- apply patch from nalin@redhat.com for handling tcp
  connections with wait=yes properly

* Tue Sep 26 2000 Trond Eivind Glomsrd <teg@redhat.com>
- add explicit dependency on a modern version of initscripts 
  (#17533)

* Wed Aug 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 2.1.8.9pre10 - remove tcpwrapper and pidfile patches,
  as they are now in.
- change default startup position to 56, so it 
  starts after bind (#17047)

* Thu Aug 18 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use the server name not the service name for libwrap
  checking (#16516). The new way was better, but
  this is sacrificed so old systems will continue to work
  and the documentation for tcp_wrappers can be correct.

* Wed Aug 16 2000 Than Ngo <than@redhat.com>
- fix initscript, test network file before source it (Bug #16247)

* Tue Aug 15 2000 Trond Eivind Glomsrd <teg@redhat.com
- make the pidfile 0644, not 0300 (#16256)

* Tue Aug 08 2000 Trond Eivind Glomsrd <teg@redhat.com>
- added support for "-pidfile" option (#15531)

* Fri Aug 04 2000 Trond Eivind Glomsrd <teg@redhat.com>
- added patch to ignore .rpmsave, .rpmorig, .rpmnew, ~ 
  suffixed files (#15304)

* Thu Aug 03 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 2.1.8.9pre9, old patches are now integrated.

* Wed Aug 02 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fix converting of "wait" argument (#13884) 
- remove tcpd and /usr/sbin/tcpd from inetd.conf services
  before converting - xinetd is linked against tcp_wrappers 

* Mon Jul 31 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fix linuxconf restart problem (#14856)
- fix conditional restart
- mark /etc/xinetd.conf as a configuration file

* Tue Jul 25 2000 Bill Nottingham <notting@redhat.com>
- um, we *need* to prereq /etc/init.d

* Mon Jul 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't require /etc/init.d

* Sat Jul 22 2000 Bill Nottingham <notting@redhat.com>
- rebuild

* Tue Jul 18 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fix the sections of the man pages (#14244)

* Tue Jul 18 2000 Trond Eivind Glomsrd <teg@redhat.com>
- remove itox, as it wouldn't do the right thing with our
  configuration
- same with xconv.pl
- some changes to the installation process

* Mon Jul 17 2000 Trond Eivind Glomsrd <teg@redhat.com>
- move initscript back to /etc/rc.d/init.d

* Fri Jul 14 2000 Trond Eivind Glomsrd <teg@redhat.com>
- change process name in init file

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jul  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- start the daemon with the "-reuse" flag

* Thu Jul 06 2000 Trond Eivind Glomsrd <teg@redhat.com>
- "Prereq:", not "Requires:" for /etc/init.d

* Wed Jul 06 2000 Trond Eivind Glomsrd <teg@redhat.com>
- require /etc/init.d

* Wed Jul  5 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- upper the number of instances to 60

* Sun Jul  2 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix a memory-allocation bug

* Wed Jun 28 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 2.1.8.9pre8

* Wed Jun 21 2000 Trond Eivind Glomsrd <teg@redhat.com>
- moved to /etc/init.d

* Wed Jun 21 2000 Trond Eivind Glomsrd <teg@redhat.com>
- changed specfile and initfile to implement conditional
  restart

* Sun Jun 18 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 2.1.8.9pre7
- now obsoletes inetd
- use %%{_tmppath}

* Sun Jun 04 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 2.1.8.9pre6
- added converter script which can convert specified or 
  remaing uncoverted services
- use %%{_mandir}
- removed +x on xinetd.conf

* Wed May 24 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 2.1.8.9pre4
- authpriv patch no longer needed

* Tue May 23 2000 Trond Eivind Glomsrd <teg@redhat.com>
- /etc/xinetd.d is now part of the filesystem package
- more fixes to xinetd.init

* Mon May 22 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fixed some obvious bugs in xinetd.init
- added a default xinetd.conf
- patched xinetd to understand LOG_AUTHPRIV

* Fri May 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- updated version
- removed a define %ver (we already have %version)
- removed some extra CFLAGS declarations
- added configuration directory, /etc/xinetd.d

* Mon Feb 21 2000 Tim Powers <timp@redhat.com>
- fixed broken postun sections, should have been *preun*
- fixed broken gzip of manpages

* Wed Jan 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1.8.8p8
- Fix the init script (Bug #7277)
- remove our patches (no longer required)

* Tue Sep 21 1999 Bill Nottingham <notting@redhat.com>
- add -lnsl

* Tue Sep 7 1999 Tim Powers <timp@redhat.com>
- modification top install routine

* Mon Jul 26 1999 Tim Powers <timp@redhat.com>
- updated source to 2.1.8.6b6
- built for 6.1

* Mon Apr 26 1999 Bill Nottingham <notting@redhat.com>
- update to 2.1.8.6b5
- build for PowerTools

* Mon Jan 10 1999 Bill Nottingham <notting@redhat.com>
- update to 2.1.8.5p2

* Tue Dec  1 1998 Bill Nottingham <notting@redhat.com>
- intial build
